Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface NamedDomainObjectList

    org.gradle.api.NamedDomainObjectList
      java.lang.Iterable
          org.gradle.api.DomainObjectCollection
              org.gradle.api.NamedDomainObjectCollection
                  java.util.Collection

All Superinterfaces:
  DomainObjectCollection, NamedDomainObjectCollection

    public interface NamedDomainObjectList
    extends java.util.List, NamedDomainObjectCollection

A specialisation of NamedDomainObjectCollection that also implements java.util.List.

All object equality is determined in terms of object names. That is, calling `remove()` with an object that is NOT equal to an existing object in terms of `equals`, but IS in terms of name equality will result in the existing collection item with the equal name being removed.

Parameters:
  `` - The type of element in the set

Method Summary
`java.util.List` | `findAll(groovy.lang.Closure spec)` {@inheritDoc}
`NamedDomainObjectList` | `matching(Spec spec)` {@inheritDoc}
`NamedDomainObjectList` | `matching(groovy.lang.Closure spec)` {@inheritDoc}
`NamedDomainObjectList` | `withType(java.lang.Class type)` {@inheritDoc}

Methods inherited from interface java.util.List
java.util.List#add(java.lang.Object), java.util.List#add(int, java.lang.Object), java.util.List#get(int), java.util.List#equals(java.lang.Object), java.util.List#hashCode(), java.util.List#indexOf(java.lang.Object), java.util.List#clear(), java.util.List#size(), java.util.List#isEmpty(), java.util.List#lastIndexOf(java.lang.Object), java.util.List#contains(java.lang.Object), java.util.List#addAll(java.util.Collection), java.util.List#addAll(int, java.util.Collection), java.util.List#toArray(), java.util.List#toArray([Ljava.lang.Object;), java.util.List#iterator(), java.util.List#remove(java.lang.Object), java.util.List#remove(int), java.util.List#set(int, java.lang.Object), java.util.List#removeAll(java.util.Collection), java.util.List#containsAll(java.util.Collection), java.util.List#retainAll(java.util.Collection), java.util.List#subList(int, int), java.util.List#listIterator(), java.util.List#listIterator(int)

Methods inherited from interface NamedDomainObjectCollection
add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getRules, matching, matching, withType

Methods inherited from interface DomainObjectCollection
all, all, allObjects, allObjects, findAll, findAll, getAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType

Methods inherited from interface java.util.Collection
java.util.Collection#add(java.lang.Object), java.util.Collection#equals(java.lang.Object), java.util.Collection#hashCode(), java.util.Collection#clear(), java.util.Collection#size(), java.util.Collection#isEmpty(), java.util.Collection#contains(java.lang.Object), java.util.Collection#addAll(java.util.Collection), java.util.Collection#toArray(), java.util.Collection#toArray([Ljava.lang.Object;), java.util.Collection#iterator(), java.util.Collection#remove(java.lang.Object), java.util.Collection#removeAll(java.util.Collection), java.util.Collection#containsAll(java.util.Collection), java.util.Collection#retainAll(java.util.Collection)

Method Detail

### findAll

    public java.util.List findAll(groovy.lang.Closure spec)

  {@inheritDoc}

### matching

    public NamedDomainObjectList matching(Spec spec)

  {@inheritDoc}

### matching

    public NamedDomainObjectList matching(groovy.lang.Closure spec)

  {@inheritDoc}

### withType

    public NamedDomainObjectList withType(java.lang.Class type)

  {@inheritDoc}

Groovy Documentation